OpenVDB 11.0.0

Loading...
Searching...
No Matches
Classes | Namespaces | Functions
VectorTransformer.h File Reference
`#include <openvdb/Types.h>`
`#include <openvdb/math/Mat4.h>`
`#include <openvdb/math/Vec3.h>`
`#include <openvdb/openvdb.h>`
`#include "ValueTransformer.h"`
`#include <type_traits>`

Go to the source code of this file.

## Classes
struct | HomogeneousMatMul
struct | MatMul
struct | MatMulNormalize

## Namespaces
namespace | openvdb
namespace | openvdb::v11_0
namespace | openvdb::v11_0::tools

## Functions
template<typename GridType >
void | transformVectors (GridType &, const Mat4d &)
| Apply an affine transform to the voxel values of a vector-valued grid in accordance with the grid's vector type (covariant, contravariant, etc.).